Error :Analyst UI can't run without Java Runtime Environment (JRE) 1.6 or higher

Document ID : KB000044499
Last Modified Date : 14/02/2018
Show Technical Document Details

Problem:

Error while launching live assistance using support automation in CA SDM

'Analyst UI can't run without Java Runtime Environment (JRE) 1.6 or higher'.

 

Cause : Incorrect JRE version or JRE is not installed in correct path.

 

Resolution:


1. Compatible JRE version should be installed in below path of SDM server.

C:/Program Files (x86)/CA/SC/JRE

 

Compatible versions can be seen in supportability matrix of each SDM version.

For 14.1 : https://docops.ca.com/ca-service-management/14-1/en/release-information/supportability-matrix

For 12.9 : https://support.ca.com/phpdocs/0/8165/8165_r129_CertMatrix.pdf

 

2. Update NX.env JRE path to point to this location 

Make sure to recycle the SDM services after changing the values in NX.env file.

 

3. Edit the System path variable to add the JRE paths.

eg : C:\Program Files (x86)\CA\SC\JRE\1.7.0_51;C:\Program Files (x86)\CA\SC\JRE\1.7.0_51\bin 

 

4. From the command prompt navigate to bin folder of JRE and run the command javacpl.exe 

This brings up the Java Control panel. Click the Advanced Tab. Ensure the default Java for browsers checkboxs are selected. If they are not selected then highlight each browser and hit the spacebar to check it.

Now Check by initiating a  chat.

 

For more information on installing and configuring tomcat and JRE please refer to wiki site.

Also refer to tec1874892